module Mongoid
  module Lock
    def self.load_requirements
      require 'mongoid/lock'
    end
  end
end

if (defined?(Rails) and Rails.version.to_i >= 3)
  require 'rails'
  class MongoidLockRailtie < Rails::Railtie
    railtie_name :"mongoid-lock"
    initializer "mongoid-lock.load_requirements" do
      Mongoid::Lock::load_requirements
    end
  end
else
  Mongoid::Lock::load_requirements
end
